Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000765Core InformUnderstandingpublic2011-10-03 02:222014-05-07 07:33
ReporterRon Newcomb 
Assigned Tograham 
PrioritynormalSeveritycriticalReproducibilityalways
StatusclosedResolutionfixed 
PlatformPPCOSMac OS XOS Version10.4
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0000765: I6 error when (erroneously) using "any" with a description-of-KOVs as an understand token
DescriptionAlthough Inform 7 will correctly flag "[any limb]" as an error, "[any injured limb]" gets to the Inform 6 compiler, which complains <<No such constant as "Kind_GPR_44">>

Minimal Source Text To Reproduce
A limb is a kind of value. Some limbs are head, arm, and leg. 
A limb can be injured.

Upgrading is an action applying to one limb.
Understand "buy [any injured limb]" as upgrading. 
TagsNo tags attached.
Effect(mild) Inform 6 reports errors for invalid code
Attached Files

- Relationships

-  Notes
(0002502)
graham (administrator)
2014-02-15 03:49

Fixed.

- Issue History
Date Modified Username Field Change
2011-10-03 02:22 Ron Newcomb New Issue
2011-10-03 07:19 EmacsUser Status new => confirmed
2014-02-15 03:49 graham Severity mild => critical
2014-02-15 03:49 graham Steps to Reproduce Updated View Revisions
2014-02-15 03:49 graham Note Added: 0002502
2014-02-15 03:49 graham Status confirmed => resolved
2014-02-15 03:49 graham Resolution open => fixed
2014-02-15 03:49 graham Assigned To => graham
2014-05-07 07:32 jmcgrew Fixed in Version => 6L02
2014-05-07 07:33 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker